
FreeNAS - Bug #35110

Update APIv1 documentation for smarttest_disks

06/17/2018 01:50 PM - Florian Lederer

Status: Done   

Priority: No priority   

Assignee: Waqar Ahmed   

Category: Middleware   

Target version: 11.2-BETA1   

Seen in: Master - FreeNAS Nightlies Needs Merging: No

Severity: New Needs Automation: No

Reason for Closing:  Support Suite Ticket: n/a

Reason for Blocked:  Hardware

Configuration:

 

Needs QA: No ChangeLog

Required:

No

Needs Doc: No   

Description

When trying to configure a S.M.A.R.T. task and adding available disk from the dropdown menu following error message is displayed

on saving the task:

Select a valid choice. {devicename}ada1 is not one of the available choices.

 

Tested on FreeNAS-11.2-MASTER-201806170436

Related issues:

Copied to FreeNAS - Bug #35257: Fix disk identifier issue in new UI Done

Associated revisions

Revision 197e8ec5 - 06/18/2018 05:26 PM - Waqar Ahmed 

Documentation for smarttest api1.0 updated

Ticket: #35110

Revision 600e74fa - 06/18/2018 05:32 PM - Waqar Ahmed 

Documentation for smarttest api1.0 updated

Ticket: #35110

Revision a32028de - 06/19/2018 09:21 AM - Waqar Ahmed 

Documentation for smarttest api1.0 updated

Ticket: #35110

Revision a2386b58 - 06/19/2018 09:28 AM - Waqar Ahmed 

Documentation for smarttest api1.0 updated

Ticket: #35110

Revision f9c85c15 - 06/22/2018 12:27 PM - Waqar Ahmed 

Documentation for smarttest api1.0 updated

Ticket: #35110
History

#1 - 06/17/2018 01:55 PM - Florian Lederer

- File 2018-06-17 22_54_15-Storage _ Disks _ FreeNAS Material UI.png added

#2 - 06/17/2018 01:59 PM - Florian Lederer

- Description updated

#3 - 06/17/2018 02:20 PM - Florian Lederer

Following message is shown in the /var/log/debug.log when trying to save the S.M.A.R.T. task

Jun 17 14:08:41 freenas uwsgi: [api.utils:12] Traceback (most recent call last):

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/utils.py",line 251, in dispatch

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]     request_type, request, *args,**kwargs

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]   File "/usr/local/lib/python3.6/site-packages/tastypie/resource

s.py", line 482, in dispatch

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]     response = method(request, **kwargs)

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]   File "/usr/local/lib/python3.6/site-packages/tastypie/resource

s.py", line 1384, in post_list

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]     updated_bundle = self.obj_create(bundle, **self.remove_api_r

esource_names(kwargs))

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]   File "/usr/local/lib/python3.6/site-packages/tastypie/resource

s.py", line 2175, in obj_create

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]     return self.save(bundle)

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]   File "./freenasUI/api/utils.py", line 404, in save

Jun 17 14:08:41 freenas uwsgi: [api.utils:12]     response_class=http.HttpConflict,

Jun 17 14:08:41 freenas uwsgi: [api.utils:12] tastypie.exceptions.ImmediateHttpResponse

#4 - 06/18/2018 05:50 AM - Dru Lavigne

- Category changed from GUI (new) to Middleware

- Assignee changed from Release Council to William Grzybowski

William: I assume that means that that device does not support SMART? Should the traceback error be fixed? Do you need a debug?

#5 - 06/18/2018 05:53 AM - William Grzybowski

- Assignee changed from William Grzybowski to Waqar Ahmed

- Target version changed from Backlog to 11.2-RC2

Waqar, could you investigate this, please?

#6 - 06/18/2018 04:05 PM - Waqar Ahmed

- Status changed from Unscreened to In Progress

#7 - 06/19/2018 07:27 AM - Waqar Ahmed
- Copied to Bug #35257: Fix disk identifier issue in new UI added

#8 - 06/19/2018 09:45 AM - Waqar Ahmed

- Status changed from In Progress to Ready for Testing

The issue was with how the call was being made to API 1.0 in new UI. A related ticket has been made for this. For this ticket, the documentation for

tasks in API 1.0's example has been updated to reflect the correct value which should be passed in the payload when creating smart tests.

PR - https://github.com/freenas/freenas/pull/1397

#9 - 06/19/2018 09:49 AM - Dru Lavigne

- Subject changed from adding disk for S.M.A.R.T. task fails to Update APIv1 documentation for smarttest_disks

- Target version changed from 11.2-RC2 to 11.2-BETA1

- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No

#10 - 06/26/2018 12:20 PM - Eric Turgeon

POST was change in http://api.freenas.org/resources/tasks.html#smarttest with:

"smarttest_disks": ["{serial}VBcb6ca06c-657f8756"]

 

but GET and POST remain with

"smarttest_disks": [

                  "{devicename}vtbd3" 

          ]

 

I that how GET and PUT tasks smarttest documentation should be?

#11 - 06/26/2018 12:22 PM - William Grzybowski

Eric Turgeon wrote:

POST was change in http://api.freenas.org/resources/tasks.html#smarttest with:

[...]

but GET and POST remain with

[...]

I that how GET and PUT tasks smarttest documentation should be?
That is just an example, {devicename}vtbd3 is also valid.

#12 - 06/26/2018 12:31 PM - Eric Turgeon

- Status changed from Ready for Testing to Passed Testing

- Needs QA changed from Yes to No

William Grzybowski wrote:

Eric Turgeon wrote:

POST was change in http://api.freenas.org/resources/tasks.html#smarttest with:

[...]

but GET and POST remain with

[...]

I that how GET and PUT tasks smarttest documentation should be?

 

That is just an example, {devicename}vtbd3 is also valid.

 

Oh, Yeah, right.

#13 - 06/26/2018 02:50 PM - Dru Lavigne

- Status changed from Passed Testing to Done

- Seen in changed from 11.2-RC2 to Master - FreeNAS Nightlies

Files

2018-06-17 22_36_35-Tasks _ S.M.A.R.T. Tests _ Add _ FreeNAS Material UI.png29.7 KB 06/17/2018 Florian Lederer

2018-06-17 22_54_15-Storage _ Disks _ FreeNAS Material UI.png 25.8 KB 06/17/2018 Florian Lederer
